Software:Application

From CAC Wiki
Jump to: navigation, search

The Centre for Advance Computing has a large amount of software pre-installed for use on our clusters. Here we give an overview of software installed on the Linux platform (CentOS). Note that software that was installed for the Solaris platform is not documented here, as that platform is being discontinued.

Table of Software on the SW Linux (CentOS) Platform

The following software can be accessed from the swlogin1 (login) node or through the Grid Engine scheduler. Most software may be accessed through usepackage entries which add software and libraries to your $PATH. As an example, "use anaconda3" replaces the default version of Python with the copy of Python provided by Anaconda. Which copy of software you are using may be verified with "which X", where X is the name of the executable. Note that some package entries are purely short cuts provided for convenience, and will add the default version of that software to your $PATH. The entries these short cuts "point to" are indicated in the "Points To" column.

NOTE: Unless explicitly specified here, it is generally best to run software using the usepackage entries (i.e. "use xxxxxxx") instead of attempting to call the software directly from its absolute location in /opt. The reason for this is that "use xxxxxxx" often loads required dependencies.

Software Name Version Package Name Points To Usage Notes
Abaqus default abaqus abaqus-6.11 Info; restricted to Queen's University.
6.10 abaqus-6.10
6.11 abaqus-6.11
Abinit default Abinit Abinit6.12.3_32bit Info
6.12.3, 32 bit Abinit6.12.3_32bit
6.12.3, 64-bit Abinit6.12.3_64bit
ABySS 1.9.0 abyss
AllPaths-LG default allpaths-lg allpaths-lg-52488 Info
52488 allpaths-lg-52488
ADF default adf adf2016.101 Info
2016.101 adf2016.101
Anaconda Python distribution 2.2.0 (Python 2.7.11) anaconda2 To load both Python 2 and 3 at once, "use anaconda3" THEN "use anaconda2".
3-2.3.0 (Python 3.4.4) anaconda3
3-4.3.1 (Python 3.5.3) anaconda3.5
3-4.3.1 (Python 3.6.0) anaconda3.6
Apache Spark default spark spark-2.1.0 Read our Spark helpfile before use!
2.0.1 spark-2.0.1
2.1.0 spark-2.1.0
Augustus 3.2.3 augustus
Autodock default autodock autodock425
4.2.5, 64-bit autodock425
Bamtools 2.4.1 bamtools
Illumina Basespace 0.8.12 basespace "bs mount" is not available, use "bs cp" instead.
BEAST default beast beast-2.4.2
1.8.2 beast-1.8.2
2.4.2 beast-2.4.2
Bedtools 2.26.0 bedtools
BioPerl 1.007001 "use perl"
BioPython Python package "use anaconda2"
BioScripts Python package "use anaconda2" OR "use anaconda3"
BLAST default blast blast-2.6.0 Info
2.6.0 blast-2.6.0
2.2.30 blast-2.2.30
Bowtie Version 1, default bowtie bowtie-1.1.2
1.1.2 bowtie-1.1.2
Bowtie2 Version 2, default bowtie2 bowtie2-2.3.2
2.2.6 bowtie2-2.2.6
2.3.2 bowtie2-2.3.2
BUSCO busco After running "use busco", run:

python /opt/global/busco/BUSCO.py <args>

BWA default bwa bwa-0.7.12
0.7.12 bwa-0.7.12
COMSOL default comsol comsol-5.2a Users will need to supply their own license.

See our comsol documentation before use!

5.2a comsol-5.2a
5.2 comsol-5.2
CPMD default, 32 bit CPMD CPMD3.13.2_32bit Info
3.13.2, 32-bit CPMD3.13.2_32bit
3.13.2, 64-bit CPMD3.13.2_64bit
default, 64 bit CPMD_64bit
Cufflinks default cufflinks cufflinks-2.2.1
2.2.1 cufflinks-2.2.1
Cutadapt "use anaconda3" or "use anaconda2"
Delft3d rev6686 delft3d
Discovar De Novo default discovar-denovo discovar-denovo-52488
52488 discovar-denovo-52488
DL_POLY 1.9 dl_poly Info
ESPReSso default, 32 bit espresso espresso3.1.1_32bit
3.1.1, 32-bit espresso3.1.1_32bit
3.1.1, 64-bit espresso3.1.1_64bit
default, 64 bit espresso_64bit
Exonerate 2.2.0 exonerate
FastQC default fastqc fastqc-0.11.4
0.11.4 fastqc-0.11.4
fastStructure 1.0 faststructure
FastX default fastx fastx-0.0.13
0.0.13, 64 bit fastx-0.0.13
FBAT 2.0.4 fbat-2.0.4
Fire Dynamic Simulator 6 fds
Fluent default fluent ansys16 Info
Ansys 14 ansys14
Ansys 16 ansys16
Ansys 17 ansys17
Ansys 18 ansys18
FoamExtend default foam-extend foam-extend-3.1
3.1 foam-extend-3.1
FreeFem++ default freefem freefem-3.44 Info
3.36-1 freefem-3.36
3.44 freefem-3.44
FreeSurfer freesurfer Info
FSL 5.0.9 fsl Info
Gamess Dec 5 2014 gamess Info
Gaussian default g16 g16a3 Info
rev. A3 g16a3
Genome Analysis Toolkit (GATK) gatk java -jar /opt/gatk/3.5/GenomeAnalysisTK.jar <args>
GNU compilers 4.1.2 gcc-4.1.2 Info
4.8.2 gcc-4.8.2
4.8.3 gcc-4.8.3
4.9.2 gcc-4.9.2
Gnuplot default gnuplot gnuplot_4.6.6
4.6.6 gnuplot_4.6.6
Gromacs default, 32 bit Gromacs Gromacs4.0.7_32bit Info
4.0.7, 32-bit Gromacs4.0.7_32bit
4.0.7, 64-bit Gromacs4.0.7_64bit
4.6, 32-bit Gromacs4.6_32bit
4.6, 64-bit Gromacs4.6_64bit
5.0, 64-bit Gromacs5.0.6
default, 64 bit Gromacs_64bit
Gurobi default gurobi gurobi605 Info
6.0.5 gurobi605
7.0.2 gurobi702
HISAT2 default hisat2 hisat2-2.1.0
2.0.4 hisat2-2.0.4
2.1.0 hisat2-2.1.0
HMMER default hmmer hmmer-3.1b2
3.1b2 hmmer-3.1b2
HTSeq Python package "use anaconda2"
Hypre hypre located in /opt/hypre
Intel Compilers 12. 1 ics Info
ICS + Intel MPI 12.1 icsmpi
InStruct instruct
Interproscan 5.24-63.0 interproscan
ipyrad ipyrad
Java 7 (default) Already on PATH, simply type "java"
8 java8
Julia 0.4.6 julia
Jmol default jmol jmol-14.2.7
14.2.7 jmol-14.2.7
LAMMPS default lammps lammps_64bit Info
Dec 2013, 64 bit, Intel lammps_64bit
August 2015, 64 bit, gcc/openmpi 1.8 lammps_aug15
LibreOffice 5.1 libreoffice Info
Maker 2.31.8 maker
MATLAB 2017a matlab CAC now has an academic license for MATLAB.

To get started using it, see our documentation.

miRDeep2 2.0.0.7 mirdeep2 You may need to install the PDF::API2 Perl module before running.

See our Perl module install guide.

migrate-n default migrate-n migrate-n-3.6.8
3.6.8 migrate-n-3.6.8
MPICH-1 default mpich-1
mrtrix 3 mrtrix Info
MUSCLE 3.8.31 muscle
NAMD default namd namd-2.10 Info
2.10 namd-2.10
NWChem default nwchem nwchem-6.1 Info
6.1 nwchem-6.1
octave default octave octave-4.0.0 An open-source implementation of Matlab More info
4.0.0 octave-4.0.0
OpenFOAM default openfoam openfoam-2.3.0 Info
2.1.1 openfoam-2.1.1
2.3.0 openfoam-2.3.0
3.0.0 openfoam-3.0.0
openmpi default openmpi openmpi-1.8
1.2 openmpi-1.2
1.8 openmpi-1.8
1.8.4 openmpi-1.8.4
OpenRefine 2.6 openrefine Info
OpenSim 3.3 opensim
orca r2131 orca
r2360 orca-2360
Paraview default paraview paraview-4.3 Info
4.3 paraview-4.3
PEAR 0.9.6 pear
Perl 5 5.10 Already on PATH, simply type "perl"
5.22.1 perl
PETSc default petsc petsc-3.5.2 Info
3.5.2 (OpenMPI 1.8, gcc 4.4.6) petsc-3.5.2
3.6.0 (Intel) petsc-3.6.0-intel
default (Intel) petsc-intel
Picard Tools picardtools
use java8; 
java -jar /opt/picardtools/2.0.1/picard.jar
PLINK Already on PATH
1.9 beta 3.30 plink-1.9
PLINK/SEQ 0.10 plink-seq
PyRx 0.9.2 PyRx Info
0.9 PyRx-0.9
Python See entries for Anaconda (a very comprehensive Python distribution)
Pyzo Python distribution 2015a pyzo2015a includes numpy & scipy
QIIME qiime
Quantum Espresso default, 64 bit qespresso qespresso5.2.1_64bit Info
5.0.2, 64-bit qespresso5.0.2_64bit
5.2.1, 64-bit qespresso5.2.1_64bit
R default R R-3.2.3 Info
2.15, 32 bit R-2.15.2
2.15, 64 bit R-2.15.2_64bit
3.2.3, 64 bit R-3.2.3
3.3.1, 64 bit R-msft-3.3.1 Microsoft's performance-enhanced R distribution.

Automatically scales to number of cores requested by a job.

3.3.2 R-3.3.2
RStudio Type "rstudio" to start a new session.

Note that this is only to be used for testing purposes, as it runs directly on the login node.

Redundans 0.11 beta redundans
root 5.34.20 root Info
samstat 1.5.1 samstat
SAMtools default samtools samtools-1.3
0.1.19 samtools-0.1.19
1.3 samtools-1.3
scala 2.12.2 scala
seqtk seqtk
SNAP Sequence Aligner v1 beta23 snap
SNAP Gene Predictor 2013-11-21 snap-predictor
Subread 1.5.1b subread
Sun Grid Engine 6 sge6
SRA Toolkit default sratoolkit sratoolkit-2.5.7
2.5.7 sratoolkit-2.5.7
Stacks default stacks stacks-1.44 Info
1.44 stacks-1.44
1.35 stacks-1.35
STAR 2.5.1b star
StringTie 1.3.3b stringtie
Tophat2 default tophat2 tophat2-2.1.0
2.1.0 tophat2-2.1.0
Trinity default trinity trinity-2.1.1
2.1.1 trinity-2.1.1
trans-ABySS 1.5.3 trans-abyss
VCFtools 0.1.14 vcftools
VisIt 2.10 visit Info
vsearch 1.9.10 vsearch
Weka, Java-based data mining 3.6 weka

Language-specific software package installation

Certain programming languages require the use of multiple add-on packages to reach their full functionality. If we are missing a package you need, there are two options: either request it be installed email us at cac.help@queensu.ca or perform a local install. Both methods will give you a working copy of the software package

Perl

To install Perl modules to a local directory, use the following bash commands to create a localized install of whatever modules you may need. It's actually not as complicated as it looks.

# install local::lib
wget http://search.cpan.org/CPAN/authors/id/H/HA/HAARG/local-lib-2.000018.tar.gz
tar -xzf local-lib-2.000018.tar.gz
cd local-lib-2.000018
perl Makefile.PL --bootstrap
make test && make install

# setting up appropriate environment variables so that perl knows about our new ~/perl5/lib directory
cd ~                
echo 'eval "$(perl -I$HOME/perl5/lib/perl5 -Mlocal::lib)"' >> ~/.bashrc
source ~/.bashrc

# check that local::lib is indeed installing to the right directory, you should see a bunch of paths beginning with ~/perl5/lib/perl5/ get printed out
perl -e 'print "@INC"'

Installing Perl modules from CPAN will now allow you install whatever you need. For an example of using CPAN to install BioPerl, see below. This part requires a bit of baby-sitting, just hit enter whenever a prompt comes up.

cpan
install CJFIELDS/BioPerl-1.6.924.tar.gz
q

Python

We highly recommend using one of the two Anaconda installations on the SW cluster. These already have a large number of pre-installed packages and will serve you well. However, if they are missing something you need, you can make a local install using the following instructions:

use anaconda3 #or "use anaconda2" for python 2.7
pip install --user packageName

R

When using R, make sure to use the centralized install first with "use R". The system R version on the login node has a slightly different set of installed libraries from the versions of R found on the production nodes, which can result in dependency issues. Adding "use R" to your scripts will avoid this.

When installing R packages from CRAN, it's easiest to manually specify the CRAN mirror to download from with:

install.packages("packageName", repos="mirrorURL")

where mirrorURL is one of the repositories listed at [1]. It will tell you at some point that the directory is not writeable and ask you if you want to make a local library instead- select 'yes'. The package should install normally and be ready for use.


When installing packages from Bioconductor:

source("http://bioconductor.org/biocLite.R")
biocLite("packageName")

If you see an error about "URLs are not supported", simply change any "https" URL to "http" and it will work. Again, it will ask you to make a "personal library", select 'yes'.

Using your own software

It's very easy to use software that is not pre-installed on the systems. Simply specify the absolute or relative path to your software in a script and it will run. For example, if you had a program called "test" located in ~/bin/, you could easily invoke it with "~/bin/test" in your scripts.